## mistral 3.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

alembic>=0.8.4 # MIT
Babel>=2.3.4 # BSD
croniter>=0.3.4 # MIT License
cachetools>=1.1.0 # MIT License
eventlet!=0.18.3,>=0.18.2 # MIT
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
keystonemiddleware!=4.1.0,!=4.5.0,>=4.0.0 # Apache-2.0
mock>=2.0 # BSD
networkx>=1.10 # BSD
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.config>=3.14.0 # Apache-2.0
oslo.db!=4.13.1,!=4.13.2,>=4.10.0 # Apache-2.0
oslo.messaging>=5.2.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.policy>=1.9.0 # Apache-2.0
oslo.utils>=3.16.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
paramiko>=2.0 # LGPLv2.1+
pbr>=1.6 # Apache-2.0
pecan!=1.0.2,!=1.0.3,!=1.0.4,>=1.0.0 # BSD
python-barbicanclient>=4.0.0 # Apache-2.0
python-ceilometerclient>=2.5.0 # Apache-2.0
python-cinderclient!=1.7.0,!=1.7.1,>=1.6.0 # Apache-2.0
python-designateclient>=1.5.0 # Apache-2.0
python-glanceclient!=2.4.0,>=2.3.0 # Apache-2.0
python-heatclient>=1.4.0 # Apache-2.0
python-keystoneclient!=2.1.0,>=2.0.0 # Apache-2.0
python-mistralclient>=2.0.0 # Apache-2.0
python-magnumclient>=2.0.0 # Apache-2.0
python-muranoclient>=0.8.2 # Apache-2.0
python-neutronclient>=5.1.0 # Apache-2.0
python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
python-swiftclient>=2.2.0 # Apache-2.0
python-tackerclient>=0.6.0 # Apache-2.0
python-troveclient>=2.2.0 # Apache-2.0
python-ironicclient>=1.6.0 # Apache-2.0
python-ironic-inspector-client>=1.5.0 # Apache-2.0
python-zaqarclient>=1.0.0 # Apache-2.0
PyYAML>=3.1.0 # MIT
requests>=2.10.0 # Apache-2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0
setuptools!=24.0.0,>=16.0 # PSF/ZPL
six>=1.9.0 # MIT
SQLAlchemy<1.1.0,>=1.0.10 # MIT
stevedore>=1.16.0 # Apache-2.0
WSME>=0.8 # MIT
yaql>=1.1.0 # Apache 2.0 License
tooz>=1.28.0 # Apache-2.0
zake>=0.1.6 # Apache-2.0

=== debian/changelog ===
mistral (3.0.0-1+118~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Thu, 06 Oct 2016 21:38:59 +0000

mistral (3.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2016 17:56:44 +0200

mistral (3.0.0~rc1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Build-Depends on openstack-pkg-tools >= 53~.
  * Fixed oslotest EPOCH.
  * Fixed oslo-config-generator namespaces.
  * Debconf translations:
    - nl (Closes: #834619)
    - it (Closes: #839078)

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Sep 2016 09:57:26 +0200

=== debian/control ===
Source: mistral
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 53~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools (>= 16.0),
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.8.4),
                     python-babel (>= 2.3.4),
                     python-barbicanclient (>= 4.0.0),
                     python-cachetools (>= 1.1.0),
                     python-ceilometerclient (>= 2.5.0),
                     python-cinderclient (>= 1:1.6.0),
                     python-coverage,
                     python-croniter,
                     python-designateclient (>= 1.5.0),
                     python-docutils,
                     python-eventlet (>= 0.18.4),
                     python-fixtures (>= 3.0.0),
                     python-glanceclient (>= 1:2.3.0),
                     python-hacking,
                     python-heatclient (>= 1.4.0),
                     python-ironic-inspector-client (>= 1.5.0),
                     python-ironicclient (>= 1.6.0),
                     python-jsonschema,
                     python-keystoneclient (>= 1:2.0.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-magnumclient (>= 2.0.0),
                     python-mistralclient (>= 2.0.0),
                     python-mock (>= 2.0),
                     python-muranoclient (>= 0.8.2),
                     python-networkx (>= 0.10),
                     python-neutronclient (>= 1:5.1.0),
                     python-nose,
                     python-novaclient (>= 2:2.29.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.db (>= 4.10.0),
                     python-oslo.log (>= 2.0.0),
                     python-oslo.messaging (>= 5.2.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 1.9.0),
                     python-oslo.serialization (>= 2.0.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.16.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1:1.5.1),
                     python-osprofiler (>= 1.4.0),
                     python-paramiko (>= 2.0),
                     python-pecan (>= 1.0.0),
                     python-requests (>= 2.10.0),
                     python-requests-mock (>= 1.0),
                     python-retrying (>= 1.2.3),
                     python-six (>= 1.9.0),
                     python-sphinxcontrib-httpdomain,
                     python-sphinxcontrib-pecanwsme,
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.16.0),
                     python-swiftclient (>= 1:2.2.0),
                     python-tackerclient (>= 0.6.0),
                     python-testtools,
                     python-tooz (>= 1.28.0),
                     python-troveclient (>= 2.2.0),
                     python-unittest2,
                     python-wsme (>= 0.8),
                     python-yaml,
                     python-yaql (>= 1.1.0),
                     python-zake,
                     python-zaqarclient (>= 1.0.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-mistral?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-mistral -b debian/newton
Homepage: https://github.com/stackforge/mistral

Package: python-mistral
Section: python
Architecture: all
Depends: alembic (>= 0.8.4),
         python-babel (>= 2.3.4),
         python-barbicanclient (>= 4.0.0),
         python-cachetools (>= 1.1.0),
         python-ceilometerclient (>= 2.5.0),
         python-cinderclient (>= 1:1.6.0),
         python-croniter,
         python-designateclient (>= 1.5.0),
         python-eventlet (>= 0.18.4),
         python-glanceclient (>= 1:2.3.0),
         python-heatclient (>= 1.4.0),
         python-ironic-inspector-client (>= 1.5.0),
         python-ironicclient (>= 1.6.0),
         python-jsonschema,
         python-keystoneclient (>= 1:2.0.0),
         python-keystonemiddleware (>= 4.0.0),
         python-magnumclient (>= 2.0.0),
         python-mistralclient (>= 2.0.0),
         python-mock (>= 2.0),
         python-muranoclient (>= 0.8.2),
         python-networkx (>= 0.10),
         python-neutronclient (>= 1:5.1.0),
         python-novaclient (>= 2:2.29.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.db (>= 4.10.0),
         python-oslo.log (>= 2.0.0),
         python-oslo.messaging (>= 5.2.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 1.9.0),
         python-oslo.serialization (>= 2.0.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.16.0),
         python-osprofiler (>= 1.4.0),
         python-paramiko (>= 2.0),
         python-pbr (>= 1.8),
         python-pecan (>= 1.0.0),
         python-pymysql,
         python-requests (>= 2.10.0),
         python-retrying (>= 1.2.3),
         python-setuptools (>= 16.0),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.16.0),
         python-swiftclient (>= 1:2.2.0),
         python-tackerclient (>= 0.6.0),
         python-tooz (>= 1.28.0),
         python-troveclient (>= 2.2.0),
         python-wsme (>= 0.8),
         python-yaml,
         python-yaql (>= 1.1.0),
         python-zake,
         python-zaqarclient (>= 1.0.0),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack Workflow Service - Python libraries
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Python libraries.

Package: mistral-common
Architecture: all
Depends: adduser,
         dbconfig-common,
         debconf,
         python-mistral (= ${binary:Version}),
         sqlite3,
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
Description: OpenStack Workflow service - common files
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains common files and configuration.

Package: mistral-engine
Architecture: all
Depends: adduser,
         mistral-common (= ${source:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack Workflow service - Engine
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Engine.

Package: mistral-executor
Architecture: all
Depends: adduser,
         mistral-common (= ${source:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack Workflow service - Executor
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Executor.

Package: mistral-api
Architecture: all
Depends: adduser,
         debconf,
         mistral-common (= ${source:Version}),
         q-text-as-data,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack Workflow service - API
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the API server.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

%:
	dh $@  --with python2,systemd

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) bash run_tests.sh -N -P || true
endif

override_dh_clean:
	dh_clean
	rm -f debian/*.init debian/*.service debian/*.upstart debian/mistral-common.postinst debian/mistral-common.config

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/tmp; \
	done

	# Copy the configuration files
	set -e ; for i in logging.conf wf_trace_logging.conf ; do \
		install -D -m 0664 etc/$$i.sample $(CURDIR)/debian/mistral-common/usr/share/mistral-common/$$i ; \
	done
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator \
		--namespace mistral.config \
		--namespace oslo.db \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace keystonemiddleware.auth_token \
		--namespace periodic.config \
		--namespace oslo.log \
		--namespace oslo.policy \
		--namespace oslo.service.sslutils \
		--output-file $(CURDIR)/debian/mistral-common/usr/share/mistral-common/mistral.conf

	pkgos-fix-config-default $(CURDIR)/debian/mistral-common/usr/share/mistral-common/mistral.conf keystone_authtoken auth_protocol http

override_dh_install:
	dh_install --fail-missing
	# As usual, pbr is missing the alembic.ini
	cp mistral/db/sqlalchemy/migration/alembic.ini $(CURDIR)/debian/python-mistral/usr/lib/python2.7/dist-packages/mistral/db/sqlalchemy/migration/

override_dh_auto_build:
	dh_auto_build
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func mistral-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func mistral-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func mistral-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func mistral-api.postinst

## mistral 4.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

alembic>=0.8.10 # MIT
aodhclient>=0.7.0 # Apache-2.0
Babel>=2.3.4 # BSD
croniter>=0.3.4 # MIT License
cachetools>=1.1.0 # MIT License
eventlet!=0.18.3,>=0.18.2 # MIT
gnocchiclient>=2.7.0 # Apache-2.0
Jinja2!=2.9.0,!=2.9.1,!=2.9.2,!=2.9.3,!=2.9.4,>=2.8 # BSD License (3 clause)
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
keystonemiddleware>=4.12.0 # Apache-2.0
networkx>=1.10 # BSD
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
oslo.db>=4.15.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.messaging>=5.14.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.policy>=1.17.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
oslo.log>=3.11.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
paramiko>=2.0 # LGPLv2.1+
pbr>=1.8 # Apache-2.0
pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
python-barbicanclient>=4.0.0 # Apache-2.0
python-ceilometerclient>=2.5.0 # Apache-2.0
python-cinderclient!=1.7.0,!=1.7.1,>=1.6.0 # Apache-2.0
python-designateclient>=1.5.0 # Apache-2.0
python-glanceclient>=2.5.0 # Apache-2.0
python-heatclient>=1.6.1 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
python-mistralclient>=2.0.0 # Apache-2.0
python-magnumclient>=2.0.0 # Apache-2.0
python-muranoclient>=0.8.2 # Apache-2.0
python-neutronclient>=5.1.0 # Apache-2.0
python-novaclient!=7.0.0,>=6.0.0 # Apache-2.0
python-senlinclient>=1.1.0 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
python-tackerclient>=0.8.0 # Apache-2.0
python-troveclient>=2.2.0 # Apache-2.0
python-ironicclient>=1.11.0 # Apache-2.0
python-ironic-inspector-client>=1.5.0 # Apache-2.0
python-zaqarclient>=1.0.0 # Apache-2.0
PyYAML>=3.10.0 # MIT
requests!=2.12.2,>=2.10.0 # Apache-2.0
tenacity>=3.2.1 # Apache-2.0
setuptools!=24.0.0,>=16.0 # PSF/ZPL
six>=1.9.0 # MIT
SQLAlchemy<1.1.0,>=1.0.10 # MIT
stevedore>=1.17.1 # Apache-2.0
WSME>=0.8 # MIT
yaql>=1.1.0 # Apache 2.0 License
tooz>=1.47.0 # Apache-2.0
zake>=0.1.6 # Apache-2.0

=== debian/changelog ===
mistral (4.0.0-0ubuntu1) zesty; urgency=medium

  * New upstream release for OpenStack Ocata.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2017 10:15:43 -0500

mistral (4.0.0~rc2-ubuntu1) zesty; urgency=medium

  * New upstream milestone for Ocata.
  * d/control, d/tests: Add dep8 tests.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 17 Feb 2017 10:13:40 -0500

mistral (4.0.0~rc1-ubuntu1) zesty; urgency=medium

  * New upstream milestone for Ocata. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 06 Feb 2017 09:54:17 -0500

mistral (4.0.0~b3-ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * d/watch: Update URL.
  * New upstream release.
  * d/control: Align dependes with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 31 Jan 2017 08:37:35 -0500

mistral (4.0.0~b2-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * d/control: Align dependes with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 04 Jan 2017 09:32:29 -0500

mistral (3.0.0-2) unstable; urgency=medium

  [ Corey Bryant ]
  * d/rules, d/mistral-common.postinst.in, d/mistral-common.postrm:
    Install missing json files (LP: #1634475).
  * d/control: Add python-pep8 to Build-Depends.

  [ Thomas Goirand ]
  * Fixed lsb-base depends.

  [ Gauvain Pocentek ]
  * d/rules: install missing resources directory, needed when populating the
    mistral DB

 -- Thomas Goirand <zigo@debian.org>  Wed, 19 Oct 2016 11:05:37 +0200

=== debian/control ===
Source: mistral
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 53~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools (>= 16.0),
               python-sphinx,
Build-Depends-Indep: python-alembic (>= 0.8.10),
                     python-aodhclient (>= 0.7.0),
                     python-babel (>= 2.3.4),
                     python-barbicanclient (>= 4.0.0),
                     python-cachetools (>= 1.1.0),
                     python-ceilometerclient (>= 2.5.0),
                     python-cinderclient (>= 1.6.0),
                     python-coverage (>= 4.0),
                     python-croniter (>= 0.3.4),
                     python-designateclient (>= 1.5.0),
                     python-docutils,
                     python-eventlet (>= 0.18.2),
                     python-fixtures (>= 3.0.0),
                     python-glanceclient (>= 1:2.5.0),
                     python-gnocchiclient (>= 2.7.0),
                     python-hacking (>= 0.10.0),
                     python-heatclient (>= 1.6.1),
                     python-ironicclient (>= 1.11.0),
                     python-jinja2 (>= 2.8),
                     python-jsonschema (>= 2.0.0),
                     python-keystoneclient (>= 1:3.8.0),
                     python-keystonemiddleware (>= 4.12.0),
                     python-magnumclient (>= 2.0.0),
                     python-mistralclient (>= 1:2.0.0),
                     python-mock (>= 2.0),
                     python-muranoclient (>= 0.8.2),
                     python-networkx (>= 1.10),
                     python-neutronclient (>= 1:5.1.0),
                     python-nose,
                     python-novaclient (>= 2:6.0.0),
                     python-openstackdocstheme (>= 1.5.0),
                     python-os-api-ref (>= 1.0.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.db (>= 4.15.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.11.0),
                     python-oslo.messaging (>= 5.14.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 1.17.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.18.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1.10.0),
                     python-osprofiler (>= 1.4.0),
                     python-paramiko (>= 2.0),
                     python-pecan (>= 1.0.0),
                     python-pep8,
                     python-ironic-inspector-client (>= 1.5.0),
                     python-tackerclient (>= 0.8.0),
                     python-requests (>= 2.10.0),
                     python-requests-mock (>= 1.1),
                     python-senlinclient (>= 1.1.0),
                     python-six (>= 1.9.0),
                     python-sphinxcontrib-httpdomain,
                     python-sphinxcontrib-pecanwsme (>= 0.8),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.17.1),
                     python-swiftclient (>= 1:3.2.0),
                     python-tenacity (>= 3.2.1),
                     python-testrepository (>= 0.0.18),
                     python-testtools (>= 1.4.0),
                     python-tooz (>= 1.47.0),
                     python-troveclient (>= 1:2.2.0),
                     python-unittest2,
                     python-wsme (>= 0.8),
                     python-yaml (>= 3.10.0),
                     python-yaql (>= 1.1.0),
                     python-zake (>= 0.1.6),
                     python-zaqarclient (>= 1.0.0),
                     subunit,
                     testrepository
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/mistral
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/mistral
Homepage: https://github.com/stackforge/mistral
XS-Testsuite: autopkgtest

Package: python-mistral
Section: python
Architecture: all
Depends: python-alembic (>= 0.8.10),
         python-aodhclient (>= 0.7.0),
         python-babel (>= 2.3.4),
         python-barbicanclient (>= 4.0.0),
         python-cachetools (>= 1.1.0),
         python-ceilometerclient (>= 2.5.0),
         python-cinderclient (>= 1.6.0),
         python-croniter (>= 0.3.4),
         python-designateclient (>= 1.5.0),
         python-eventlet (>= 0.18.2),
         python-glanceclient (>= 1:2.5.0),
         python-gnocchiclient (>= 2.7.0),
         python-heatclient (>= 1.6.1),
         python-ironicclient (>= 1.6.0),
         python-jinja2 (>= 2.8),
         python-jsonschema (>= 2.0.0),
         python-keystoneclient (>= 1:3.8.0),
         python-keystonemiddleware (>= 4.2.0),
         python-magnumclient (>= 2.0.0),
         python-mistralclient (>= 1:2.0.0),
         python-mock (>= 2.0),
         python-muranoclient (>= 0.8.2),
         python-networkx (>= 1.10),
         python-neutronclient (>= 1:5.1.0),
         python-novaclient (>= 2:2.29.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.db (>= 4.11.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.11.0),
         python-oslo.messaging (>= 5.14.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 1.17.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.18.0),
         python-osprofiler (>= 1.4.0),
         python-paramiko (>= 2.0),
         python-pecan (>= 1.0.0),
         python-pymysql,
         python-ironic-inspector-client (>= 1.5.0),
         python-tackerclient (>= 0.8.0),
         python-requests (>= 2.10.0),
         python-senlinclient (>= 1.1.0),
         python-setuptools (>= 16.0),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.17.1),
         python-swiftclient (>= 1:3.2.0),
         python-tenacity (>= 3.2.1),
         python-tooz (>= 1.28.0),
         python-troveclient (>= 1:2.2.0),
         python-wsme (>= 0.8),
         python-yaml (>= 3.10.0),
         python-yaql (>= 1.1.0),
         python-zake (>= 0.1.6),
         python-zaqarclient (>= 1.0.0),
         ${misc:Depends},
         ${python:Depends}
Description: OpenStack Workflow Service - Python libraries
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Python libraries.

Package: mistral-common
Architecture: all
Depends: adduser,
         dbconfig-common,
         debconf,
         python-mistral (= ${binary:Version}),
         sqlite3,
         ${misc:Depends},
         ${python:Depends}
Provides: ${python:Provides},
Description: OpenStack Workflow service - common files
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains common files and configuration.

Package: mistral-engine
Architecture: all
Depends: adduser,
         mistral-common (= ${source:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: OpenStack Workflow service - Engine
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Engine.

Package: mistral-executor
Architecture: all
Depends: adduser,
         mistral-common (= ${source:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: OpenStack Workflow service - Executor
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Executor.

Package: mistral-api
Architecture: all
Depends: adduser,
         debconf,
         mistral-common (= ${source:Version}),
         q-text-as-data,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: OpenStack Workflow service - API
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the API server.

## mistral 4.0.2

=== requirements.txt ===
--- 
+++ 
@@ -50,7 +50,7 @@
 PyYAML>=3.10.0 # MIT
 requests!=2.12.2,>=2.10.0 # Apache-2.0
 tenacity>=3.2.1 # Apache-2.0
-setuptools!=24.0.0,>=16.0 # PSF/ZPL
+setuptools!=24.0.0,!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,!=34.3.1,!=34.3.2,>=16.0 # PSF/ZPL
 six>=1.9.0 # MIT
 SQLAlchemy<1.1.0,>=1.0.10 # MIT
 stevedore>=1.17.1 # Apache-2.0

=== debian/changelog ===
mistral (4.0.2-1) unstable; urgency=medium

  * New upstream version
  * Edit debian/control to match requirements
  * Fix allow-sqla-1.1.patch
  * Raise debhelper version

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 21 Nov 2017 18:02:02 +0100

mistral (3.0.0-4) unstable; urgency=medium

  * Add allow-sqla-1.1.patch to allow SQLA transition.
  * German debconf translation update (Closes: #842487).

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Apr 2017 18:07:09 +0200

mistral (3.0.0-3) unstable; urgency=medium

  * Team upload.
  * Bump build dependency on openstack-pkg-tools (Closes: #858705).

 -- David Rabel <david.rabel@noresoft.com>  Sat, 01 Apr 2017 11:54:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,50 +1,49 @@
 Source: mistral
 Section: net
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                dh-systemd,
-               openstack-pkg-tools (>= 53~),
+               openstack-pkg-tools (>= 54~),
                po-debconf,
                python-all,
                python-pbr (>= 1.8),
                python-setuptools (>= 16.0),
                python-sphinx,
-Build-Depends-Indep: python-alembic (>= 0.8.10),
+Build-Depends-Indep: alembic (>= 0.8.8),
                      python-aodhclient (>= 0.7.0),
                      python-babel (>= 2.3.4),
                      python-barbicanclient (>= 4.0.0),
                      python-cachetools (>= 1.1.0),
                      python-ceilometerclient (>= 2.5.0),
-                     python-cinderclient (>= 1.6.0),
-                     python-coverage (>= 4.0),
-                     python-croniter (>= 0.3.4),
+                     python-cinderclient (>= 1:1.6.0),
+                     python-coverage,
+                     python-croniter,
                      python-designateclient (>= 1.5.0),
                      python-docutils,
-                     python-eventlet (>= 0.18.2),
+                     python-eventlet (>= 0.18.4),
+                     python-gnocchiclient (>= 2.2.0),
+                     python-jinja2 (>= 2.8),
                      python-fixtures (>= 3.0.0),
                      python-glanceclient (>= 1:2.5.0),
-                     python-gnocchiclient (>= 2.7.0),
-                     python-hacking (>= 0.10.0),
+                     python-hacking,
                      python-heatclient (>= 1.6.1),
+                     python-ironic-inspector-client (>= 1.5.0),
                      python-ironicclient (>= 1.11.0),
-                     python-jinja2 (>= 2.8),
-                     python-jsonschema (>= 2.0.0),
+                     python-jsonschema,
                      python-keystoneclient (>= 1:3.8.0),
                      python-keystonemiddleware (>= 4.12.0),
                      python-magnumclient (>= 2.0.0),
-                     python-mistralclient (>= 1:2.0.0),
+                     python-mistralclient (>= 2.0.0),
                      python-mock (>= 2.0),
                      python-muranoclient (>= 0.8.2),
                      python-networkx (>= 1.10),
                      python-neutronclient (>= 1:5.1.0),
                      python-nose,
                      python-novaclient (>= 2:6.0.0),
-                     python-openstackdocstheme (>= 1.5.0),
-                     python-os-api-ref (>= 1.0.0),
+                     python-senlinclient (>= 1.1.0),
                      python-oslo.concurrency (>= 3.8.0),
                      python-oslo.config (>= 1:3.14.0),
                      python-oslo.db (>= 4.15.0),
@@ -53,107 +52,109 @@
                      python-oslo.messaging (>= 5.14.0),
                      python-oslo.middleware (>= 3.0.0),
                      python-oslo.policy (>= 1.17.0),
-                     python-oslo.serialization (>= 1.10.0),
+                     python-oslo.serialization (>= 2.0.0),
                      python-oslo.service (>= 1.10.0),
                      python-oslo.utils (>= 3.18.0),
                      python-oslosphinx (>= 4.7.0),
-                     python-oslotest (>= 1.10.0),
+                     python-oslotest (>= 1:1.10.0),
+                     python-os-api-ref,
                      python-osprofiler (>= 1.4.0),
                      python-paramiko (>= 2.0),
                      python-pecan (>= 1.0.0),
                      python-pep8,
-                     python-ironic-inspector-client (>= 1.5.0),
-                     python-tackerclient (>= 0.8.0),
                      python-requests (>= 2.10.0),
+                     python-tenacity (>= 3.1.1),
                      python-requests-mock (>= 1.1),
-                     python-senlinclient (>= 1.1.0),
+                     python-retrying (>= 1.2.3),
                      python-six (>= 1.9.0),
                      python-sphinxcontrib-httpdomain,
-                     python-sphinxcontrib-pecanwsme (>= 0.8),
+                     python-sphinxcontrib-pecanwsme,
+                     python-openstackdocstheme,
                      python-sqlalchemy (>= 1.0.10),
                      python-stevedore (>= 1.17.1),
                      python-swiftclient (>= 1:3.2.0),
-                     python-tenacity (>= 3.2.1),
-                     python-testrepository (>= 0.0.18),
-                     python-testtools (>= 1.4.0),
+                     python-tackerclient (>= 0.7.0),
+                     python-testtools,
                      python-tooz (>= 1.47.0),
-                     python-troveclient (>= 1:2.2.0),
+                     python-troveclient (>= 2.2.0),
                      python-unittest2,
+                     python-reno,
                      python-wsme (>= 0.8),
-                     python-yaml (>= 3.10.0),
+                     python-yaml,
                      python-yaql (>= 1.1.0),
-                     python-zake (>= 0.1.6),
+                     python-zake,
                      python-zaqarclient (>= 1.0.0),
                      subunit,
-                     testrepository
+                     testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/mistral
-Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/mistral
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-mistral?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-mistral -b debian/newton
 Homepage: https://github.com/stackforge/mistral
-XS-Testsuite: autopkgtest
 
 Package: python-mistral
 Section: python
 Architecture: all
-Depends: python-alembic (>= 0.8.10),
+Depends: alembic (>= 0.8.4),
          python-aodhclient (>= 0.7.0),
          python-babel (>= 2.3.4),
          python-barbicanclient (>= 4.0.0),
          python-cachetools (>= 1.1.0),
          python-ceilometerclient (>= 2.5.0),
-         python-cinderclient (>= 1.6.0),
-         python-croniter (>= 0.3.4),
+         python-cinderclient (>= 1:1.6.0),
+         python-croniter,
          python-designateclient (>= 1.5.0),
-         python-eventlet (>= 0.18.2),
+         python-eventlet (>= 0.18.4),
+         python-gnocchiclient (>= 2.2.0),
+         python-jinja2 (>= 2.8),
          python-glanceclient (>= 1:2.5.0),
-         python-gnocchiclient (>= 2.7.0),
          python-heatclient (>= 1.6.1),
-         python-ironicclient (>= 1.6.0),
-         python-jinja2 (>= 2.8),
-         python-jsonschema (>= 2.0.0),
+         python-ironic-inspector-client (>= 1.5.0),
+         python-ironicclient (>= 1.11.0),
+         python-jsonschema,
          python-keystoneclient (>= 1:3.8.0),
-         python-keystonemiddleware (>= 4.2.0),
+         python-keystonemiddleware (>= 4.12.0),
          python-magnumclient (>= 2.0.0),
-         python-mistralclient (>= 1:2.0.0),
+         python-mistralclient (>= 2.0.0),
          python-mock (>= 2.0),
          python-muranoclient (>= 0.8.2),
          python-networkx (>= 1.10),
          python-neutronclient (>= 1:5.1.0),
-         python-novaclient (>= 2:2.29.0),
+         python-novaclient (>= 2:6.0.0),
+         python-senlinclient (>= 1.1.0),
          python-oslo.concurrency (>= 3.8.0),
          python-oslo.config (>= 1:3.14.0),
-         python-oslo.db (>= 4.11.0),
+         python-oslo.db (>= 4.15.0),
          python-oslo.i18n (>= 2.1.0),
          python-oslo.log (>= 3.11.0),
          python-oslo.messaging (>= 5.14.0),
          python-oslo.middleware (>= 3.0.0),
          python-oslo.policy (>= 1.17.0),
-         python-oslo.serialization (>= 1.10.0),
+         python-oslo.serialization (>= 2.0.0),
          python-oslo.service (>= 1.10.0),
          python-oslo.utils (>= 3.18.0),
          python-osprofiler (>= 1.4.0),
          python-paramiko (>= 2.0),
+         python-pbr (>= 1.8),
          python-pecan (>= 1.0.0),
          python-pymysql,
-         python-ironic-inspector-client (>= 1.5.0),
-         python-tackerclient (>= 0.8.0),
          python-requests (>= 2.10.0),
-         python-senlinclient (>= 1.1.0),
+         python-tenacity (>= 3.1.1),
+         python-retrying (>= 1.2.3),
          python-setuptools (>= 16.0),
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
          python-stevedore (>= 1.17.1),
          python-swiftclient (>= 1:3.2.0),
-         python-tenacity (>= 3.2.1),
-         python-tooz (>= 1.28.0),
-         python-troveclient (>= 1:2.2.0),
+         python-tackerclient (>= 0.7.0),
+         python-tooz (>= 1.47.0),
+         python-troveclient (>= 2.2.0),
          python-wsme (>= 0.8),
-         python-yaml (>= 3.10.0),
+         python-yaml,
          python-yaql (>= 1.1.0),
-         python-zake (>= 0.1.6),
+         python-zake,
          python-zaqarclient (>= 1.0.0),
          ${misc:Depends},
-         ${python:Depends}
+         ${python:Depends},
 Description: OpenStack Workflow Service - Python libraries
  Mistral is a workflow service. Most business processes consist of multiple
  distinct interconnected steps that need to be executed in a particular order
@@ -175,7 +176,7 @@
          python-mistral (= ${binary:Version}),
          sqlite3,
          ${misc:Depends},
-         ${python:Depends}
+         ${python:Depends},
 Provides: ${python:Provides},
 Description: OpenStack Workflow service - common files
  Mistral is a workflow service. Most business processes consist of multiple
@@ -196,7 +197,7 @@
          mistral-common (= ${source:Version}),
          ${misc:Depends},
          ${ostack-lsb-base},
-         ${python:Depends}
+         ${python:Depends},
 Description: OpenStack Workflow service - Engine
  Mistral is a workflow service. Most business processes consist of multiple
  distinct interconnected steps that need to be executed in a particular order
@@ -216,7 +217,7 @@
          mistral-common (= ${source:Version}),
          ${misc:Depends},
          ${ostack-lsb-base},
-         ${python:Depends}
+         ${python:Depends},
 Description: OpenStack Workflow service - Executor
  Mistral is a workflow service. Most business processes consist of multiple
  distinct interconnected steps that need to be executed in a particular order
@@ -238,7 +239,7 @@
          q-text-as-data,
          ${misc:Depends},
          ${ostack-lsb-base},
-         ${python:Depends}
+         ${python:Depends},
 Description: OpenStack Workflow service - API
  Mistral is a workflow service. Most business processes consist of multiple
  distinct interconnected steps that need to be executed in a particular order

## mistral 5.0.0

=== debian/changelog ===
mistral (5.0.0-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Aug 2017 09:34:57 -0400

mistral (5.0.0~rc1-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * d/control, d/mistral-event-engine.init.in: Add event egnine service.
    (LP: #1690371)

  [ Corey Bryant ]
  * New upstream release candidate for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Aug 2017 21:06:04 -0400

mistral (5.0.0~b2-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Tue, 13 Jun 2017 13:09:27 +0100

mistral (5.0.0~b1-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * Align (Build-)Depends with upstream milestone.

 -- James Page <james.page@ubuntu.com>  Fri, 28 Apr 2017 14:34:24 +0100

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/mistral/ mistral-(\d.*)\.tar\.gz
